# Note that each structure should only appear once - if a structure is updated
# twice, then the earlier update should just be removed from this list
data modify storage mver:update structures set value []

# Format:
#   posX | posY | posZ: int -> The position to place the bottom north-west corner of the structure
#   sizeX | sizeZ: int -> the X and Z dimensions of the structure, used for dimensionally accurate forceloading
#   
#   min_compatible: int -> the version this structure was implemented/ last updated in
#                     If the current world version is less than or equal to this value, then the structure will be placed
#
#   entity_tag: str (optional) -> the unique tag for entities which are part of this structure - existing entities with this tag will 
#                                be killed when the structure is replaced to prevent duplication
#   post_function: str (optional) -> the function or function tag run after placing the structure, used to handle any modifications 
#                                   which are carried out at runtime

# Temporal Hallway
# data modify storage mver:update structures append value {structure:"mver:temporal_hallway/birch_connector", posX:-23,posY:25,posZ:-16, min_compatible:3,entity_tag:"temporal_birch_connector"}


#Tutorial
data modify storage mver:update structures append value {structure:"tutorial:tier_1_connector", posX:-3,posY:25,posZ:12,sizeX:7,sizeZ:4, min_compatible:3}


# Tier 1(birch)
data modify storage mver:update structures append value {structure:"tier_1:spawn", posX:-11,posY:25,posZ:-13,sizeX:23,sizeZ:25, min_compatible:3,entity_tag:"tier_1_spawn",post_function:"tier_1:post_builds/spawn"}
#achievement hall
data modify storage mver:update structures append value {structure:"tier_1:special/hallway/intro_segment", posX:-21,posY:25,posZ:3,sizeX:10,sizeZ:16, min_compatible:3,entity_tag:"tier_1_special_intro"}
data modify storage mver:update structures append value {structure:"tier_1:special/hallway/segment_1", posX:-24,posY:25,posZ:19,sizeX:17,sizeZ:6, min_compatible:3,entity_tag:"tier_1_special_1",post_function:"tier_1:post_builds/special_1"}
data modify storage mver:update structures append value {structure:"tier_1:special/hallway/segment_2", posX:-24,posY:25,posZ:25,sizeX:17,sizeZ:4, min_compatible:3,entity_tag:"tier_1_special_2",post_function:"tier_1:post_builds/special_2"}
data modify storage mver:update structures append value {structure:"tier_1:special/hallway/segment_3", posX:-24,posY:25,posZ:29,sizeX:17,sizeZ:4, min_compatible:3,entity_tag:"tier_1_special_3",post_function:"tier_1:post_builds/special_3"}
data modify storage mver:update structures append value {structure:"tier_1:special/hallway/segment_4", posX:-24,posY:25,posZ:33,sizeX:17,sizeZ:4, min_compatible:3,entity_tag:"tier_1_special_4",post_function:"tier_1:post_builds/special_4"}
data modify storage mver:update structures append value {structure:"tier_1:special/hallway/segment_5", posX:-24,posY:25,posZ:37,sizeX:17,sizeZ:4, min_compatible:3,entity_tag:"tier_1_special_5",post_function:"tier_1:post_builds/special_5"}
data modify storage mver:update structures append value {structure:"tier_1:special/hallway/segment_6", posX:-24,posY:25,posZ:41,sizeX:17,sizeZ:4, min_compatible:3,entity_tag:"tier_1_special_6",post_function:"tier_1:post_builds/special_6"}
data modify storage mver:update structures append value {structure:"tier_1:special/hallway/segment_7", posX:-24,posY:25,posZ:45,sizeX:17,sizeZ:4, min_compatible:3,entity_tag:"tier_1_special_7",post_function:"tier_1:post_builds/special_7"}
data modify storage mver:update structures append value {structure:"tier_1:special/hallway/segment_8", posX:-24,posY:25,posZ:49,sizeX:17,sizeZ:4, min_compatible:3,entity_tag:"tier_1_special_8",post_function:"tier_1:post_builds/special_8"}
data modify storage mver:update structures append value {structure:"tier_1:special/hallway/segment_9", posX:-24,posY:25,posZ:53,sizeX:17,sizeZ:4, min_compatible:3,entity_tag:"tier_1_special_9",post_function:"tier_1:post_builds/special_9"}
data modify storage mver:update structures append value {structure:"tier_1:special/hallway/segment_10", posX:-24,posY:25,posZ:57,sizeX:17,sizeZ:4, min_compatible:3,entity_tag:"tier_1_special_10",post_function:"tier_1:post_builds/special_10"}
data modify storage mver:update structures append value {structure:"tier_1:special/hallway/segment_11", posX:-24,posY:25,posZ:61,sizeX:17,sizeZ:4, min_compatible:3,entity_tag:"tier_1_special_11",post_function:"tier_1:post_builds/special_11"}
data modify storage mver:update structures append value {structure:"tier_1:special/hallway/segment_12", posX:-24,posY:25,posZ:65,sizeX:17,sizeZ:4, min_compatible:3,entity_tag:"tier_1_special_12",post_function:"tier_1:post_builds/special_12"}
data modify storage mver:update structures append value {structure:"tier_1:special/hallway/segment_13", posX:-24,posY:25,posZ:69,sizeX:17,sizeZ:4, min_compatible:3,entity_tag:"tier_1_special_13",post_function:"tier_1:post_builds/special_13"}
data modify storage mver:update structures append value {structure:"tier_1:special/hallway/segment_14", posX:-24,posY:25,posZ:73,sizeX:17,sizeZ:4, min_compatible:3,entity_tag:"tier_1_special_14",post_function:"tier_1:post_builds/special_14"}
data modify storage mver:update structures append value {structure:"tier_1:special/hallway/segment_15", posX:-24,posY:25,posZ:77,sizeX:17,sizeZ:4, min_compatible:3,entity_tag:"tier_1_special_15",post_function:"tier_1:post_builds/special_15"}
data modify storage mver:update structures append value {structure:"tier_1:special/hallway/segment_16", posX:-24,posY:25,posZ:81,sizeX:17,sizeZ:4, min_compatible:3,entity_tag:"tier_1_special_16",post_function:"tier_1:post_builds/special_16"}
data modify storage mver:update structures append value {structure:"tier_1:special/hallway/segment_17", posX:-24,posY:25,posZ:85,sizeX:17,sizeZ:4, min_compatible:3,entity_tag:"tier_1_special_17",post_function:"tier_1:post_builds/special_17"}
data modify storage mver:update structures append value {structure:"tier_1:special/hallway/segment_18", posX:-24,posY:25,posZ:89,sizeX:17,sizeZ:4, min_compatible:3,entity_tag:"tier_1_special_18",post_function:"tier_1:post_builds/special_18"}
data modify storage mver:update structures append value {structure:"tier_1:special/hallway/segment_19", posX:-24,posY:25,posZ:93,sizeX:17,sizeZ:4, min_compatible:3,entity_tag:"tier_1_special_19",post_function:"tier_1:post_builds/special_19"}
data modify storage mver:update structures append value {structure:"tier_1:special/hallway/segment_20", posX:-24,posY:25,posZ:97,sizeX:17,sizeZ:4, min_compatible:3,entity_tag:"tier_1_special_20",post_function:"tier_1:post_builds/special_20"}
data modify storage mver:update structures append value {structure:"tier_1:special/hallway/segment_21", posX:-24,posY:25,posZ:101,sizeX:17,sizeZ:4, min_compatible:3,entity_tag:"tier_1_special_21"}
#bank
# data modify storage mver:update structures append value {structure:"tier_1:bank", posX:12,posY:24,posZ:2, min_compatible:3,entity_tag:"tier_1_bank"}
# data modify storage mver:update structures append value {structure:"tier_1:door", posX:11,posY:26,posZ:4, min_compatible:3,entity_tag:"tier_1_door"}
